Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class FixedRepeatingGroupReader

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.FixedRepeatingGroupReader

All Implemented Interfaces:
  FlatRecordFieldReader

    public class FixedRepeatingGroupReader

extends java.lang.Object
implements FlatRecordFieldReader

Constructor Summary
`FixedRepeatingGroupReader(FlatFileOptions flatFileOptions, Name fieldName, IntegerSubstitutionExpr startExpr, FlatRecordReader segmentReader, IntegerSubstitutionExpr countExpr)`

Method Summary
`int` | `getFixedEndPosition(Record parameters, Record currentRecord, int currentPosition)` Returns the end position of the field, relative to the start position, if known, otherwise the current position.
`void` | `readField(ServiceContext context, Flow flow, RecordInput recordInput, DelimiterExtractor[] recordDelimiters, int recordDelimiterStart, int recordDelimiterCount, int maxRecordWidth, RecordBuilder recordBuilder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedRepeatingGroupReader

    public FixedRepeatingGroupReader(FlatFileOptions flatFileOptions,
                                     Name fieldName,
                                     IntegerSubstitutionExpr startExpr,
                                     FlatRecordReader segmentReader,
                                     IntegerSubstitutionExpr countExpr)

Method Detail

### readField

    public void readField(ServiceContext context,
                          Flow flow,
                          RecordInput recordInput,
                          DelimiterExtractor[] recordDelimiters,
                          int recordDelimiterStart,
                          int recordDelimiterCount,
                          int maxRecordWidth,
                          RecordBuilder recordBuilder)

  Specified by:
    `readField` in interface `FlatRecordFieldReader`

### getFixedEndPosition

    public int getFixedEndPosition(Record parameters,
                                   Record currentRecord,
                                   int currentPosition)

  Description copied from interface: `FlatRecordFieldReader`
  Returns the end position of the field, relative to the start position, if known, otherwise the current position. Returns -1 if the width of the field is unknown, for example, if the field is ended with a delimiter, or if the field contains an unknown count of repeating fixed length records.

  Specified by:
    `getFixedEndPosition` in interface `FlatRecordFieldReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD